Loading...
Searching...
No Matches
Brine.hpp File Reference

A class for the brine fluid properties. More...

`#include <opm/material/components/Component.hpp>`
`#include <opm/material/common/MathToolbox.hpp>`
`#include <string_view>`

Go to the source code of this file.

## Classes

class | Opm::Brine< Scalar, H2O >
| A class for the brine fluid properties. More...

## Namespaces

namespace | Opm
| This class implements a small container which holds the transmissibility mulitpliers for all the faces in the grid.

## Variables

template<class Scalar, class H2O>
Scalar | Opm::Brine< Scalar, H2O >::salinity = 0.1
| Default value for the salinity of the brine (dimensionless).

## Detailed Description

A class for the brine fluid properties.

Template Parameters

  Scalar | The type used for scalar values
  H2O | Static polymorphism: the Brine class can access all properties of the H2O class